<html>
<head>
<title>Ogre::FocusedShadowCameraSetup::PointListBody Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html">FocusedShadowCameraSetup</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">PointListBody</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::FocusedShadowCameraSetup::PointListBody Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::FocusedShadowCameraSetup::PointListBody" -->
<p>Internal class holding a point list representation of a convex body.  
 <a href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreShadowCameraSetupFocused_8h_source.html">OgreShadowCameraSetupFocused.h</a>&gt;</code></p>

<p><a href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#ab1194e2a8914328c3cb42744a86b91bb">PointListBody</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#ad64fbe9c758a4f10742bab08aa59e794">PointListBody</a> (const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;body)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a67f47de28473e35d64a76be2f7c726cf">~PointListBody</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a5fd1dd8bbaf06f2414946e356be80f6c">merge</a> (const <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">PointListBody</a> &amp;plb)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Merges a second <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a> into this one.  <a href="#a5fd1dd8bbaf06f2414946e356be80f6c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#af2eb5bf9ecbe7e6b5d02f69c9294baef">build</a> (const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;body, bool filterDuplicates=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Builds a point list body from a 'real' body.  <a href="#af2eb5bf9ecbe7e6b5d02f69c9294baef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a684d7688329ec8bc77cb353c29702174">buildAndIncludeDirection</a> (const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;body, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> extrudeDist, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;dir)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Builds a <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a> from a Body and includes all the space in a given direction.  <a href="#a684d7688329ec8bc77cb353c29702174"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a3dbfa9e92c4aaa683850f62692898cf4">getAAB</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the bounding box representation.  <a href="#a3dbfa9e92c4aaa683850f62692898cf4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a8937f241b26f4fc4f977bd77325e642e">addPoint</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;point)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a specific point to the body list.  <a href="#a8937f241b26f4fc4f977bd77325e642e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#afdd95bb0057958ed63616e1ea4e13e0b">addAAB</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;aab)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds all points of an AAB.  <a href="#afdd95bb0057958ed63616e1ea4e13e0b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a406c784f8492a274c339d41d1e39c162">getPoint</a> (size_t cnt) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a point.  <a href="#a406c784f8492a274c339d41d1e39c162"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#aa6a6cf68e76099eacc45d688dc0bf73a">getPointCount</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the point count.  <a href="#aa6a6cf68e76099eacc45d688dc0bf73a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a2ba5cac9977eaaebc4e0830916a41bc5">reset</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Resets the body.  <a href="#a2ba5cac9977eaaebc4e0830916a41bc5"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Polygon.html#a55b73fdabd35c480dd873009c546c20f">Polygon::VertexList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a8ed99e0d43569bb2304494c5f399a6ca">mBodyPoints</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#aef88b74b4b2ab59e7fd26b95ab6f348c">mAAB</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Internal class holding a point list representation of a convex body. </p>

<p>Definition at line <a class="el" href="OgreShadowCameraSetupFocused_8h_source.html#l00085">85</a> of file <a class="el" href="OgreShadowCameraSetupFocused_8h_source.html">OgreShadowCameraSetupFocused.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab1194e2a8914328c3cb42744a86b91bb"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::PointListBody" ref="ab1194e2a8914328c3cb42744a86b91bb" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#ab1194e2a8914328c3cb42744a86b91bb">Ogre::FocusedShadowCameraSetup::PointListBody::PointListBody</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad64fbe9c758a4f10742bab08aa59e794"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::PointListBody" ref="ad64fbe9c758a4f10742bab08aa59e794" args="(const ConvexBody &amp;body)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#ab1194e2a8914328c3cb42744a86b91bb">Ogre::FocusedShadowCameraSetup::PointListBody::PointListBody</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;&#160;</td>
          <td class="paramname"><em>body</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a67f47de28473e35d64a76be2f7c726cf"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::~PointListBody" ref="a67f47de28473e35d64a76be2f7c726cf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a67f47de28473e35d64a76be2f7c726cf">Ogre::FocusedShadowCameraSetup::PointListBody::~PointListBody</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="afdd95bb0057958ed63616e1ea4e13e0b"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::addAAB" ref="afdd95bb0057958ed63616e1ea4e13e0b" args="(const AxisAlignedBox &amp;aab)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#afdd95bb0057958ed63616e1ea4e13e0b">Ogre::FocusedShadowCameraSetup::PointListBody::addAAB</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&#160;</td>
          <td class="paramname"><em>aab</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds all points of an AAB. </p>

</div>
</div>
<a class="anchor" id="a8937f241b26f4fc4f977bd77325e642e"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::addPoint" ref="a8937f241b26f4fc4f977bd77325e642e" args="(const Vector3 &amp;point)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a8937f241b26f4fc4f977bd77325e642e">Ogre::FocusedShadowCameraSetup::PointListBody::addPoint</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>point</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds a specific point to the body list. </p>

</div>
</div>
<a class="anchor" id="af2eb5bf9ecbe7e6b5d02f69c9294baef"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::build" ref="af2eb5bf9ecbe7e6b5d02f69c9294baef" args="(const ConvexBody &amp;body, bool filterDuplicates=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#af2eb5bf9ecbe7e6b5d02f69c9294baef">Ogre::FocusedShadowCameraSetup::PointListBody::build</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;&#160;</td>
          <td class="paramname"><em>body</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>filterDuplicates</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Builds a point list body from a 'real' body. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Inserts all vertices from a body into the point list with or without adding duplicate vertices. </dd></dl>

</div>
</div>
<a class="anchor" id="a684d7688329ec8bc77cb353c29702174"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::buildAndIncludeDirection" ref="a684d7688329ec8bc77cb353c29702174" args="(const ConvexBody &amp;body, Real extrudeDist, const Vector3 &amp;dir)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a684d7688329ec8bc77cb353c29702174">Ogre::FocusedShadowCameraSetup::PointListBody::buildAndIncludeDirection</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ConvexBody.html">ConvexBody</a> &amp;&#160;</td>
          <td class="paramname"><em>body</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>extrudeDist</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>dir</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Builds a <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a> from a Body and includes all the space in a given direction. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Intersects the bounding box with a ray from each available point of the body with the given direction. Base and intersection points are stored in a <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a> structure. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>Duplicate vertices are not filtered. </dd>
<dd>
Body is not checked for correctness. </dd></dl>

</div>
</div>
<a class="anchor" id="a3dbfa9e92c4aaa683850f62692898cf4"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::getAAB" ref="a3dbfa9e92c4aaa683850f62692898cf4" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a>&amp; <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a3dbfa9e92c4aaa683850f62692898cf4">Ogre::FocusedShadowCameraSetup::PointListBody::getAAB</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the bounding box representation. </p>

</div>
</div>
<a class="anchor" id="a406c784f8492a274c339d41d1e39c162"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::getPoint" ref="a406c784f8492a274c339d41d1e39c162" args="(size_t cnt) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a406c784f8492a274c339d41d1e39c162">Ogre::FocusedShadowCameraSetup::PointListBody::getPoint</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>cnt</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a point. </p>

</div>
</div>
<a class="anchor" id="aa6a6cf68e76099eacc45d688dc0bf73a"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::getPointCount" ref="aa6a6cf68e76099eacc45d688dc0bf73a" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#aa6a6cf68e76099eacc45d688dc0bf73a">Ogre::FocusedShadowCameraSetup::PointListBody::getPointCount</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the point count. </p>

</div>
</div>
<a class="anchor" id="a5fd1dd8bbaf06f2414946e356be80f6c"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::merge" ref="a5fd1dd8bbaf06f2414946e356be80f6c" args="(const PointListBody &amp;plb)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a5fd1dd8bbaf06f2414946e356be80f6c">Ogre::FocusedShadowCameraSetup::PointListBody::merge</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html">PointListBody</a> &amp;&#160;</td>
          <td class="paramname"><em>plb</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Merges a second <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html" title="Internal class holding a point list representation of a convex body.">PointListBody</a> into this one. </p>

</div>
</div>
<a class="anchor" id="a2ba5cac9977eaaebc4e0830916a41bc5"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::reset" ref="a2ba5cac9977eaaebc4e0830916a41bc5" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a2ba5cac9977eaaebc4e0830916a41bc5">Ogre::FocusedShadowCameraSetup::PointListBody::reset</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Resets the body. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aef88b74b4b2ab59e7fd26b95ab6f348c"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::mAAB" ref="aef88b74b4b2ab59e7fd26b95ab6f348c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#aef88b74b4b2ab59e7fd26b95ab6f348c">Ogre::FocusedShadowCameraSetup::PointListBody::mAAB</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShadowCameraSetupFocused_8h_source.html#l00088">88</a> of file <a class="el" href="OgreShadowCameraSetupFocused_8h_source.html">OgreShadowCameraSetupFocused.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8ed99e0d43569bb2304494c5f399a6ca"></a><!-- doxytag: member="Ogre::FocusedShadowCameraSetup::PointListBody::mBodyPoints" ref="a8ed99e0d43569bb2304494c5f399a6ca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Polygon.html#a55b73fdabd35c480dd873009c546c20f">Polygon::VertexList</a> <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#a8ed99e0d43569bb2304494c5f399a6ca">Ogre::FocusedShadowCameraSetup::PointListBody::mBodyPoints</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreShadowCameraSetupFocused_8h_source.html#l00087">87</a> of file <a class="el" href="OgreShadowCameraSetupFocused_8h_source.html">OgreShadowCameraSetupFocused.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreShadowCameraSetupFocused_8h_source.html">OgreShadowCameraSetupFocused.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:07
</p>
</body>
</html>
